-- nが素数ならばtrue、素数でなければfalseを返します。
function is_prime(n)
	local i
	for i = 2, (n - 1) do
		if (n % i) == 0 then
			return false
		end
	end
	return true
end
-- 2〜1000の範囲にある素数の数を、変数cに格納します。
c = 0
for i = 2, 1000 do
	if is_prime(i) then
		c = c + 1
	end
end
